from Ft.Lib.DistExt import Localization, Script, Extension
from Ft.Lib.DistExt import Document

name = "4Rdf"
version = '1.0a3'
description = "An RDF processing library"
author = "Fourthought, Inc."
author_email = "support@4suite.org"
url = "http://4suite.org/"
long_description = "An RDF processing library"

validate_templates = ['prune Ft/Rdf/Commands',
                      'prune Ft/Rdf/Parsers/Ril',
                      'prune test/Rdf/Inference',
                      ]

manifest_templates = ['include Ft/Rdf/rdfs.rdf',
                      ]

packages = ['Ft.Rdf',
            'Ft.Rdf.Drivers',
            #'Ft.Rdf.Commands',
            'Ft.Rdf.Parsers',
            #'Ft.Rdf.Parsers.Ril',
            'Ft.Rdf.Parsers.Versa',
            'Ft.Rdf.Serializers',
            'Ft.Rdf.Inference',
            ]

tests = ['Rdf',
         'Rdf.Borrowed',
         'Rdf.Drivers',
         #'Rdf.Inference',
         'Rdf.Query',
         'Rdf.use_case',
         ]

data_files = [('Ft.Share.Demos.4RDF',['demos/4RDF/*.*']),
              ('Ft.Share.Demos.4RDF',['demos/4RDF/README']),
              ('Ft.Share.Profile.Rdf',['profile/Rdf/*.*']),
              ]

l10n = [Localization(package='Ft.Rdf',
                     domain='4Suite',
                     sources=['Ft/Rdf/MessageSource.py']),
        ]

scripts = [Script('4rdf', 'Ft.Rdf._4rdf.RdfCommandLineApp'),
           Script('4versa', 'Ft.Rdf._4versa.VersaCommandLineApp'),
           ]

doc_files = [Document('docs/xml/Versa.doc',
                      '',
                      htmlStylesheets=['Ft/Data/docbook_html1.xslt'],
                      htmlOutfile='Versa.html',
                      textStylesheets=['Ft/Data/docbook_text1.xslt'],
                      textOutfile='Versa',
                      title='Versa'
                      ),
             ]

dependencies = [('4Lib','1.0a3'),
                ('4Xml','1.0a3'),
                ]

ext_modules = [Extension('Ft.Rdf.Parsers.Versa.VersaParserc',
                         sources=['Ft/Rdf/Parsers/Versa/VersaParser.c'],
                         ),
               ]

bgen_files = ['Ft/Rdf/Parsers/Versa/Versa.bgen',
              ]

# Cleanup local namespace
del Document
del Script
del Localization
del Extension
