########################################################################
# $Header: /var/local/cvsroot/4Suite/Ft/Server/Client/Commands/List/DocDefs.py,v 1.6 2003/03/20 03:50:19 mbrown Exp $
"""
Implementation of '4ss list docdefs' command

Copyright 2003 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/
"""

__doc__ = """Lists all Document Definitions in the 4Suite repository."""

import sys
from Ft.Server.Client import FtServerClientException
from Ft.Server.Client.Commands import CommandUtil

def Run(options,args):
    try:
        repo = CommandUtil.GetRepository(options, '4ss.list.docdefs')
        try:
            dds = repo.getAllDocumentDefinitionPaths()
        finally:
            try:
                repo.txRollback()
            except:
                pass
    except FtServerClientException, e:
        sys.stderr.write(str(e)+'\n')
        return

    sys.stdout.write("Document Definitions in the repository:\n")
    sys.stdout.write("-"*40+"\n")

    for d in dds:
        sys.stdout.write(d + "\n")


def Register():

    from Ft.Lib.CommandLine import Options, Command, Arguments
    cmd = Command.Command('docdefs',
                          'Lists all Document Definitions in the 4Suite repository.',
                          '',
                          __doc__,
                          function=Run,
                          arguments=[
                                    ],
                          fileName=__file__,
                          )
    return cmd

