########################################################################
# $Header: /var/local/cvsroot/4Suite/Ft/Server/Client/Commands/List/Users.py,v 1.6 2003/03/20 03:50:19 mbrown Exp $
"""
Implementation of '4ss list users' command

Copyright 2003 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/
"""

__doc__ = """Lists all Users in the 4Suite repository."""

import sys
from Ft.Server.Client import FtServerClientException
from Ft.Server.Client.Commands import CommandUtil

def Run(options,args):
    try:
        repo = CommandUtil.GetRepository(options, '4ss.list.users')
        try:
            if options.has_key('fullpaths'):
                users = repo.getAllUserPaths()
            else:
                users = repo.getAllUserNames()
        finally:
            try:
                repo.txRollback()
            except:
                pass

    except FtServerClientException, e:
        sys.stderr.write(str(e)+'\n')
        return

    sys.stdout.write("Users in the repository:\n")
    sys.stdout.write("-"*24+"\n")
    for u in users:
        sys.stdout.write(u + "\n")


def Register():

    from Ft.Lib.CommandLine import Options, Command, Arguments

    cmd = Command.Command('users',
                          'Lists all Users in the 4Suite repository.',
                          '',
                          __doc__,
                          function = Run,
                          options = Options.Options([Options.Option('f',
                                                                    'fullpaths',
                                                                    'list full paths instead of user names'),
                                     ]),
                          arguments = [
                                       ],
                          fileName = __file__,
                          )
    return cmd
