
__doc__ = """This command sets properties, such as access permissions \
or arbitrary user data, for a resource in the repository. A subcommand \
specifying which type of property to set is required. See the help \
message for a subcommand for specific usage info."""

import UserData
import Owner
import Acl
import Strobe

g_subCommands = [
    Acl,
    Owner,
    UserData,
    Strobe,
    ]

def Register():
    from Ft.Lib.CommandLine import Options, Command
    sc = map(lambda x:x.Register(),g_subCommands)
    cmd = Command.Command('set',
                          "Set properties on a resource in the repository",
                          None,
                          __doc__,
                          subCommands = sc,
                          fileName = __file__,
                          )
    
    return cmd

