from Ft.Lib.DistExt import Extension, Localization, Script, ExecutableScript

name = "4SS"
version = '1.0a3'
description = "4Suite Server"
author = "Fourthought, Inc."
author_email = "support@4suite.org"
url = "http://4suite.org/"
long_description = "Repository and persistent RDF model"

dependencies = [('4Xml','1.0a3'),
                ('4Rdf','1.0a3'),
                ]

ext_modules = [
    Extension('Ft.Server.Server._processc',
              sources=['Ft/Server/Server/src/process.c']),
    Extension('Ft.Server.Server._event',
              sources=['Ft/Server/Server/src/event.c']),
    Extension('Ft.Server.Server.Drivers.Postgres.Escapec',
                         include_dirs=[],
                         sources=['Ft/Server/Server/Drivers/Postgres/escape.c'],
                         ),
    ]

validate_templates = ['prune Ft/Server/Console',
                      'prune Ft/Server/Protocols',
                      'prune test/Server/Protocols',
                      'prune Ft/Server/Share/Demos/Cribbage/games',
                      ]

manifest_templates = ['include Ft/Server/ThirdParty/pyftpd/COPYING',
                      'include Ft/Server/ThirdParty/pyftpd/passwd',
                      'include Ft/Server/Share/Demos/BuyerBase/NOTES',
                      'include Ft/Server/Share/Schemata/*',
                      ]

packages = ['Ft.Server',
            'Ft.Server.Server',
            'Ft.Server.Common',
            'Ft.Server.Common.Install',
            'Ft.Server.Server.Lib',
            'Ft.Server.Server.Commands',
            'Ft.Server.Server.Commands.Log',
            'Ft.Server.Server.SCore',
            'Ft.Server.Server.Drivers',
            'Ft.Server.Server.Drivers.FlatFile',
            'Ft.Server.Server.Drivers.Postgres',
            'Ft.Server.Server.Drivers.Psyco',
            'Ft.Server.Server.Drivers.Oracle',
            'Ft.Server.Server.Http',
            'Ft.Server.Server.Http.Soap',
            'Ft.Server.Server.FtRpc',
            'Ft.Server.Server.Ftp',
            'Ft.Server.Server.Xslt',

            'Ft.Server.Client',
            'Ft.Server.Client.Core',
            'Ft.Server.Client.Commands',
            'Ft.Server.Client.Commands.Fetch',
            'Ft.Server.Client.Commands.Create',
            'Ft.Server.Client.Commands.List',
            'Ft.Server.Client.Commands.Rdf',
            'Ft.Server.Client.Commands.Update',
            'Ft.Server.Client.Commands.Add',
            'Ft.Server.Client.Commands.Remove',
            'Ft.Server.Client.Commands.Set',

            'Ft.Server.FtRpc',

            'Ft.Server.ThirdParty',
            'Ft.Server.ThirdParty.pyftpd',

            ]

tests = ['Server',
         'Server.Common',
         'Server.Common.Install',
         'Server.Common.Install.mirror',
         'Server.Common.Install.mirror.sub',
         'Server.Server',
         'Server.Server.Drivers',
         'Server.Server.SCore',
         'Server.Server.Lib',
         'Server.Server.Xslt',
         'Server.Client',
         'Server.Client.Core',
         'Server.Client.Commands',
##         'Server.Protocols',
##         'Server.Protocols.CORBA',
##         'Server.Protocols.CORBA.FtOmniorb',
##         'Server.Protocols.Ftp',
##         'Server.Protocols.Ftp.Local',
##         'Server.Protocols.Ftp.Server',
##         'Server.Protocols.Http',
##         'Server.Protocols.Http.Local',
##         'Server.Protocols.Http.Server',
         ]

data_files = [
##              ('Ft.Share.Products',['Ft/Server/Share/Products/*.*']),

##              #Install the demo products
              ('Ft.Share.Demos',['Ft/Server/Share/Demos/*.*']),
              ('Ft.Share.Demos.BuyerBase',['Ft/Server/Share/Demos/BuyerBase/*.*']),
              ('Ft.Share.Demos.BuyerBase.data',['Ft/Server/Share/Demos/BuyerBase/data/*.*']),
              ('Ft.Share.Demos.GuestBook',['Ft/Server/Share/Demos/GuestBook/*.*']),
              ('Ft.Share.Demos.Loritaire',['Ft/Server/Share/Demos/Loritaire/*.*']),
              ('Ft.Share.Demos.Cribbage',['Ft/Server/Share/Demos/Cribbage/*.*']),
              ('Ft.Share.Demos.Common',['Ft/Server/Share/Demos/Common/*.*']),
              ('Ft.Share.Demos.images',['Ft/Server/Share/Demos/images/*.*']),
              ('Ft.Share.Demos.images.Cards',['Ft/Server/Share/Demos/images/Cards/*.*']),
              ('Ft.Share.Demos.images.Cards.Cribbage',['Ft/Server/Share/Demos/images/Cards/Cribbage/*.*']),
              ('Ft.Share.Demos.RadiCal',['Ft/Server/Share/Demos/RadiCal/*.*']),

              ('Ft.Share.Demos.FileSystemMirror',['demos/Server/FileSystemMirror/*.*']),
              ('Ft.Share.Demos.FileSystemMirror',['demos/Server/FileSystemMirror/README']),

              ('Ft.Share.Demos.Genitive',['Ft/Server/Share/Demos/Genitive/*.*']),
              ('Ft.Share.Demos.BookerT',['Ft/Server/Share/Demos/BookerT/*.*']),
              
              ('Ft.Share.Data.Icons',['Ft/Server/Share/Data/icons/*.*']),
              ('Ft.Share.Data.Logs',['Ft/Server/Share/Logs/README']),

              ('Ft.Share.Data.FlatFile',['Ft/Server/Share/Data/README']),
              ('Ft.Share.Data.Stylesheets',['Ft/Server/Share/Data/*.*']),
              ('Ft.Share.Data.Stylesheets',['Ft/Server/Share/Data/null']),
              ('Ft.Share.ExtensionModules',['Ft/Server/Share/ExtensionModules/README']),
              ('Ft.Server.Server.Dashboard',['Ft/Server/Server/Dashboard/*.*']),
              ('Ft.Server.Server.Dashboard/images',['Ft/Server/Server/Dashboard/images/*.*']),
              ('Ft.Share.Data.Servers',['Ft/Server/Share/Servers/*.*']),
              ('Ft.Share.Data.Servers',['Ft/Server/Share/Servers/README']),

              #Install the profile tests
              ('Ft.Share.Profile.Server.SCore',['profile/Server/SCore/*.*']),
              ('Ft.Share.Profile.Server.Http',['profile/Server/Http/*.*']),
              ('Ft.Share.LoadTest.Server.SCore',['load_test/Server/SCore/*.*']),
              
              ('Ft.Server.ThirdParty',['Ft/Server/ThirdParty/README.txt']),

              ]




#l10n = [Localization(package='Ft.Xml.XPath',
#                     domain='4Suite',
#                     sources=['Ft/Xml/XPath/XPathParserBase.py']),
#        Localization(package='Ft.Xml.XPointer',
#                     domain='4Suite',
#                     sources=['Ft/Xml/XPointer/XPointerParserBase.py']),
#        Localization(package='Ft.Xml.Xslt',
#                     domain='4Suite',
#                     sources=['Ft/Xml/Xslt/XPatternParserBase.py']),
#        ]


doc_files = []

scripts = [Script('4ss',
                  'Ft.Server.Client.Commands.GeneralCommandLineApp'),
           Script('4ss_manager',
                  'Ft.Server.Server.Commands.ManagerCommandLineApp'),
           ExecutableScript('4ssd', 'Ft/Server/Server/src/4ssd.py')
           ]


#idl_files = [('Ft.Share.Data.IdlFiles',
#              ['Ft/Server/Protocols/CORBA/idl/Types.idl',
#               'Ft/Server/Protocols/CORBA/idl/Exceptions.idl',
#               'Ft/Server/Protocols/CORBA/idl/Resource.idl',
#               'Ft/Server/Protocols/CORBA/idl/Factory.idl',
#               ]),
#             ]


# Cleanup local namespace
del ExecutableScript
del Script
del Localization
del Extension
