#!/usr/bin/env python

"""
Generate an HTML page displaying all the icons in the icons/
subdirectory.
"""

import os, re

HEAD = """<html>
  <head>
    <title>Icons</title>
  </head>
  <body>
    <center>
      <h1>Icons</h1>
      <hr>
      <table border="1" cellpadding="4">
"""

FOOT = """    </table>
  </body>
</html>"""

imageRE = re.compile(r'.+?\.(gif|GIF|jpg|JPG|jpeg|JPEG|jpe|JPE|png|PNG)$')

def run():
    doc = HEAD
    files = os.listdir('icons')
    images = []
    for f in files:
        if imageRE.match(f):
            images.append(f.strip())
    total = len(images)
    rows = total/5
    if total % 5:
        rows = rows + 1
    for i in range(0,total,5):
        doc = doc + """<tr>
"""
        for j in range(5):
            if i+j > total:
                break
            img = images[i+j]        
            doc = doc + """        <td>
        <img src="icons/%s">
        <br>
        %s
      </td>
""" % (img, img)
        doc = doc + """</tr>
"""
    doc = doc + FOOT
    f = open('icons.html','w')
    f.write(doc)
    f.close()
    

if __name__ == '__main__':
    run()
    
