<?xml version="1.0"?>
<!DOCTYPE xsl:stylesheet [
  <!ENTITY nbsp "&#160;">
  <!ENTITY rdf "http://www.w3.org/1999/02/22-rdf-syntax-ns#">
  <!ENTITY rdfs "http://www.w3.org/2000/01/rdf-schema#">
  <!ENTITY f "http://xmlns.4suite.org/ext">
  <!ENTITY fres "http://xmlns.4suite.org/reserved">
  <!ENTITY dc "http://purl.org/dc/elements/1.1/">
]>
<xsl:stylesheet
  version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xi='http://www.w3.org/2001/XInclude'
  xmlns:fcore="http://xmlns.4suite.org/4ss/score"
  xmlns:frdf="http://xmlns.4suite.org/4ss/rdf"
  xmlns:fhttp="http://xmlns.4suite.org/4ss/http"
  xmlns:exslt="http://exslt.org/common"
  xmlns:exslt-set="http://exslt.org/sets"
  xmlns:exslt-math="http://exslt.org/math"
  xmlns:exslt-functions="http://exslt.org/functions"
  xmlns:exslt-date-time="http://exslt.org/dates-and-times"
  xmlns:pres="http://xmlns.4suite.org/etc/presentation"
  xmlns:dc="&dc;"
  xmlns:fres="&fres;"
  xmlns:rdf="&rdf;"
  xmlns:f="&f;"
  xmlns:doc="http://docbook.org/docbook/xml/4.0/namespace"
  xmlns:html = "http://www.w3.org/TR/xhtml1/strict"
  extension-element-prefixes="f frdf fhttp fcore exslt exslt-set exslt-math exslt-functions exslt-date-time">

<!--

 File Name:            presentation1.xslt

 General Slide-based Presentation Tool
 WWW: http://http://www.4suite.org/     e-mail: support@4suite.org

 This Stylesheet is placed in the public domain by the creators, Fourthought, Inc.

-->

  <xsl:import href='docbook_html1.xslt'/>

  <xsl:output method='html' encoding="ISO-8859-1"/>

  <xsl:param name='fres:source-uri'/>
  <xsl:param name='fres:uri-path'/>
  <xsl:param name='fres:absolute-path'/>

  <xsl:variable name='button-img' select='"blue_btn.gif"'/>
  <xsl:variable name='main-title' select='/*/@title'/>
  <xsl:variable name="vendor" select="system-property('xsl:vendor')"/>

  <xsl:variable name="links" f:node-set="yes">
    <xsl:choose>
      <xsl:when test="not($form)">
        <title><xsl:value-of select="$fres:source-uri"/>?xslt=/ftss/data/presentation1.xslt&amp;page=cover</title>
        <index><xsl:value-of select="$fres:source-uri"/>?xslt=/ftss/data/presentation1.xslt&amp;page=index</index>
        <prefix><xsl:value-of select="$fres:source-uri"/>?xslt=/ftss/data/presentation1.xslt&amp;page=</prefix>
        <common>/ftss/data/presmaterial/</common>
        <data>/ftss/data/</data>
      </xsl:when>
      <xsl:otherwise>
        <title>title.html</title>
        <index>index.html</index>
        <prefix/>
        <common/>
        <data/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:variable>

  <!--
  <xsl:param name='form' select='"single-file"'/>
  -->
  <xsl:param name='page' select='"cover"'/>
  <xsl:param name='debug' select='"no"'/>
  <xsl:param name='form'/>
  <xsl:param name='dest' select='"./"'/>
<!--
  <xsl:param name='css' select='concat($links/common, "presmain.css")'/>
-->
  <xsl:param name='css' select='"presmain.css"'/>

  <xsl:key name='outfile' match='pres:slide' use='@outfile'/>

  <xsl:variable name='doccssstyle'>
    <xsl:comment>
      <xsl:choose>
        <xsl:when test='/pres:css'>
          <xsl:value-of select='/pres:css'/>
        </xsl:when>
        <xsl:otherwise>
          <xi:include href="presmaterial/presmain.css" parse="text"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:comment>
  </xsl:variable>

  <xsl:template match="/">
    <xsl:if test="$debug = 'no'">
      <f:message-control suppress="yes"/>
    </xsl:if>
    <xsl:choose>
      <xsl:when test='$form = "multi-file"'>
        <xsl:call-template name='main-index'/>
        <xsl:apply-templates mode="multi-file"/>
      </xsl:when>
      <xsl:when test='$form = "single-file"'>
        <xsl:call-template name='slide-main'>
          <xsl:with-param name='mode' select='"single-file"'/>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <!--
        <xsl:call-template name='slide-main'>
          <xsl:with-param name='mode' select='"step"'/>
        </xsl:call-template>        
        -->
        <xsl:choose>
          <xsl:when test="$page = 'cover'">
            <!-- strictly to change context -->
            <xsl:for-each select='*/pres:frontispiece'>
              <xsl:call-template name='slide-main'>
                <xsl:with-param name='curr' select='.'/>
              </xsl:call-template>
            </xsl:for-each>
          </xsl:when>
          <xsl:when test="$page = 'index'">
            <xsl:call-template name='main-index-body'/>
          </xsl:when>
          <xsl:otherwise>
            <!-- strictly to change context -->
            <xsl:for-each select='key("outfile", $page)'>
              <xsl:call-template name='slide-main'/>
            </xsl:for-each>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="$form">
      <exslt:document href="{$dest}/{$css}" method="text">
        <!-- remember that $doccssstyle is an RTF consisting of a comment node -->
        <xsl:value-of select='$doccssstyle'/>
      </exslt:document>
      <exslt:document href="{$dest}/speaker-notes.html" method='html'>
        <!-- Generate the speaker notes -->
        <HTML>
          <HEAD>
            <TITLE>Speacker notes for <xsl:value-of select='$main-title'/></TITLE>
          </HEAD>
          <BODY>
            <xsl:apply-templates select='pres:presentation/pres:slide' mode='speaker-notes'/>
          </BODY>
        </HTML>
      </exslt:document>
    </xsl:if>
  </xsl:template>


  <xsl:template name="main-index">
    <exslt:document href="{$dest}/index.html" method='html' encoding="ISO-8859-1">
      <xsl:call-template name='main-index-body'/>
    </exslt:document>
  </xsl:template>

  <xsl:template name="main-index-body">
    <HTML>
    <HEAD>
      <TITLE><xsl:value-of select='$main-title'/></TITLE>
      <STYLE TYPE='text/css'>
        <xsl:copy-of select='$doccssstyle'/>
      </STYLE>
    </HEAD>
    <BODY>
      <H1><xsl:value-of select='$main-title'/></H1>
      <TABLE>
        <TR>
          <TD>&#160;</TD>
            <TD COLSPAN='2' ALIGN='LEFT'>
              <A HREF="{$links/title}">Title Page</A><BR/>
            </TD>
          </TR>
        <xsl:apply-templates select="/*/pres:slide" mode="index"/>
      </TABLE>
    </BODY>
    </HTML>
  </xsl:template>


  <xsl:template match="pres:slide" mode="index">
    <TR>
      <TD>
        <xsl:number format="1" level="multiple"/>
      </TD>
      <TD>
        <xsl:for-each select='ancestor::*'>
          <xsl:text> &#160; &#160; &#160; </xsl:text>
        </xsl:for-each>
        <xsl:choose>
          <xsl:when test="pres:title">
            <A HREF="{$links/prefix}{@outfile}"><xsl:value-of select='pres:title'/></A><BR/>
          </xsl:when>
          <xsl:otherwise>
            <A HREF="{$links/prefix}{@outfile}"><xsl:value-of select='concat("[", substring(., 1, 50), "...]")'/></A><BR/>
          </xsl:otherwise>
        </xsl:choose>
      </TD>
    </TR>
    <xsl:apply-templates select="pres:slide" mode="index"/>
  </xsl:template>

  <xsl:template match="pres:frontispiece" mode="multi-file">
    <exslt:document href="{$dest}/title.html" method='html' encoding="ISO-8859-1">
      <xsl:call-template name='slide-main'>
        <xsl:with-param name='curr' select='.'/>
      </xsl:call-template>
    </exslt:document>
  </xsl:template>


  <xsl:template match="pres:slide" mode="multi-file">
    <exslt:document href="{$dest}/{@outfile}" method='html' encoding="ISO-8859-1">
      <xsl:call-template name='slide-main'/>
    </exslt:document>
    <xsl:apply-templates select="pres:slide" mode="multi-file"/>
  </xsl:template>


  <xsl:template match="pres:frontispiece" mode="single-file">
    <xsl:apply-templates select='.'/>
  </xsl:template>

  <xsl:template match="pres:include">
    <xsl:copy-of select='document(@href)'/>
  </xsl:template>


  <xsl:template match="pres:note"/>


  <xsl:template match="doc:screen">
   <PRE><DIV CLASS='CODE'><xsl:apply-templates/></DIV></PRE>
  </xsl:template>

  <!--
  <xsl:template match="doc:itemizedlist">
    <DIV><xsl:apply-templates/></DIV>
  </xsl:template>

  <xsl:template match="doc:listitem">
    <xsl:choose>
      <xsl:when test="parent::doc:listitem">
    <DIV class='BULLETITEM2'><IMG SRC="{$links/common}blue_btn.gif"/><xsl:text> &#160; </xsl:text><xsl:apply-templates/></DIV>
        
      </xsl:when>
      <xsl:otherwise>
    <DIV class='BULLETITEM'><IMG SRC="{$links/common}blue_btn.gif"/><xsl:text> &#160; </xsl:text><xsl:apply-templates/></DIV>
        
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
-->
<!--
  <xsl:template match="doc:listitem">
    <LI><DIV class='BULLETITEM'><xsl:apply-templates/></DIV></LI>
  </xsl:template>
-->

  <xsl:template match='doc:mediaobject'>
    <DIV ALIGN="CENTER"><IMG SRC='{doc:imageobject/doc:imagedata/@fileref}' ALT='{doc:textobject/doc:phrase}'/></DIV>
  </xsl:template>

  <!--
  <xsl:template match='doc:emphasis'>
    <xsl:choose>
      <xsl:when test="@role = 'bold'">
        <B><xsl:apply-templates/></H3>
      </xsl:when>
      <xsl:when test="@role = 'full'">
        <I><B><xsl:apply-templates/></B></I>
      </xsl:when>
      <xsl:otherwise>
        <I><xsl:apply-templates/></I>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
-->

  <xsl:template match="pres:slide" mode='no-nest'/>


  <xsl:template match="node()[not(name = 'slide')]" mode='no-nest'>
    <xsl:apply-templates select='.'/>
  </xsl:template>


  <xsl:template match="pres:slide" mode='single-file'>
    <xsl:message>Checkpoint match="pres:slide" mode='single-file'</xsl:message>
    <H1><xsl:value-of select='pres:title'/></H1>
    <xsl:apply-templates/>
    <HR/>
    <xsl:apply-templates select="pres:slide" mode='single-file'/>
    <!--<xsl:if test='not(position()=last())'><HR/></xsl:if>-->
  </xsl:template>


  <xsl:template match="pres:title"/>
  <xsl:template match="pres:slide"/>
  <xsl:template match="pres:note"/>

  <xsl:template match="pres:quote">
    <DIV CLASS="QUOTE">
      <xsl:if test="@verbatim = 'yes'">
        <IMG SRC="{$links/common}lquot.png" ALT='"'/>
      </xsl:if>
      <xsl:apply-templates/>
      <xsl:if test="@verbatim = 'yes'">
        <IMG SRC="{$links/common}rquot.png" ALT='"'/>
      </xsl:if>
    </DIV>
    <BR/><BR/>
    <DIV CLASS="QATTRIBUTION">
      <xsl:text>--</xsl:text><xsl:value-of select='@by'/>
    </DIV>
  </xsl:template>

  <xsl:template match="pres:frontispiece">
    <TABLE WIDTH="100%">
      <TR>
        <TD ALIGN="LEFT">
          <xsl:variable name="logo" select="pres:logo[1]"/>
          <xsl:choose>
            <xsl:when test="$logo/@src = '4thlogo.png'">
              <IMG SRC="{$links/data}/{$logo/@src}" HEIGHT='{$logo/@height}'
                   WIDTH='{$logo/@width}' ALT='{$logo/@caption}'/>
            </xsl:when>
            <xsl:otherwise>
              <IMG SRC="{$logo/@src}" HEIGHT='{$logo/@height}'
                   WIDTH='{$logo/@width}' ALT='{$logo/@caption}'/>
            </xsl:otherwise>
          </xsl:choose>
        </TD>
        <TD ALIGN="RIGHT">
          <xsl:variable name="logo" select="pres:logo[2]"/>
          <xsl:if test="$logo">
            <IMG SRC="{$logo/@src}" HEIGHT='{$logo/@height}'
              WIDTH='{$logo/@width}' ALT='{$logo/@caption}'/>            
          </xsl:if>
        </TD>
      </TR>
    </TABLE>
    <H1><xsl:value-of select='$main-title'/></H1>
    <BR/><BR/>
    <DIV CLASS='TITLEMED'>
    <xsl:for-each select='pres:presenters'>
      <xsl:value-of select='.'/>
      <BR/>
    </xsl:for-each>
    </DIV>
    <BR/>
    <DIV CLASS='TITLEMED'>
      <xsl:for-each select='pres:email'>
        <xsl:value-of select='.'/>
        <BR/>
      </xsl:for-each>
    </DIV>
    <BR/>
    <DIV CLASS='TITLEMED'>
    <xsl:for-each select='pres:company'>
      <A HREF='{@link}'><xsl:value-of select='.'/> (<xsl:value-of select='@link'/>)</A>
      <BR/>
    </xsl:for-each>
    </DIV>
    <BR/><BR/><BR/><BR/>
    <DIV CLASS='TITLERIGHT'>
      <xsl:value-of select='pres:forum'/><BR/>
      <xsl:value-of select='pres:date'/>
    </DIV>
    <HR/>
  </xsl:template>


  <xsl:template name="slide-main">
    <xsl:param name='curr' select='node()'/>
    <xsl:param name='mode'/>
    <xsl:variable name="prevrtf">
      <xsl:choose>
        <xsl:when test = 'preceding-sibling::pres:slide[1]'>
          <xsl:copy-of select="preceding-sibling::pres:slide[1]"/>
        </xsl:when>
        <xsl:when test="ancestor::pres:slide">
          <xsl:copy-of select="ancestor::pres:slide[1]"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:copy-of select="preceding::pres:slide[1]"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name='prev' select='exslt:node-set($prevrtf)/pres:slide'/>
    <xsl:variable name="up" select="ancestor::pres:slide"/>
    <xsl:variable name="nextrtf">
      <xsl:choose>
        <xsl:when test = 'child::pres:slide'>
          <xsl:copy-of select="child::pres:slide[1]"/>
        </xsl:when>
        <xsl:when test = 'following-sibling::pres:slide[1]'>
          <xsl:copy-of select="following-sibling::pres:slide[1]"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:copy-of select="following::pres:slide[1]"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name='next' select='exslt:node-set($nextrtf)/pres:slide'/>

    <xsl:message>
      Processing slide: <xsl:value-of select='@outfile'/> (<xsl:value-of select='pres:title'/>)
      prev: <xsl:value-of select='$prev/@outfile'/> (<xsl:value-of select='$prev/pres:title'/>)&#10;
      next: <xsl:value-of select='$next/@outfile'/> (<xsl:value-of select='$next/pres:title'/>)&#10;
      up: <xsl:value-of select='$up/@outfile'/> (<xsl:value-of select='$up/pres:title'/>)&#10;
    </xsl:message>

    <HTML>
    <HEAD>
      <TITLE><xsl:value-of select='pres:title'/></TITLE>
      <xsl:choose>
        <xsl:when test='$form = "single-file"'>
          <STYLE TYPE='text/css'>
            <xsl:copy-of select='$doccssstyle'/>
          </STYLE>
        </xsl:when>
        <xsl:otherwise>
          <link rel='stylesheet' href='{$links/common}{$css}' type='text/css'/>
        </xsl:otherwise>
      </xsl:choose>
    </HEAD>
    <BODY>
      <H2><xsl:value-of select='pres:title'/></H2>
      <xsl:choose>
        <xsl:when test="$mode = 'step'">
          <xsl:apply-templates mode='step'/>
        </xsl:when>
        <xsl:when test="$mode = 'single-file'">
          <xsl:apply-templates mode='single-file'/>
        </xsl:when>
        <xsl:when test="$mode = 'no-nest'">
          <xsl:apply-templates mode='no-nest'/>
        </xsl:when>
        <xsl:when test="$mode = 'multi-file'">
          <xsl:apply-templates mode='multi-file'/>
        </xsl:when>
        <xsl:otherwise>         
          <xsl:apply-templates select='$curr'/>
        </xsl:otherwise>
      </xsl:choose>
      <HR/>
      <xsl:if test = '$mode != "single-file"'>
        <TABLE>
          <TR>
            <TD>&#160;</TD>
            <TD ALIGN='CENTER'>
              <xsl:choose>
                <xsl:when test='$up'>
                  <A HREF='{$links/common}{$up/@outfile}'><IMG src='{$links/common}up.png' border="0"/></A>
                </xsl:when>
                <xsl:otherwise>
                  <A HREF='{$links/index}'><IMG src='{$links/common}up.png' border="0"/></A>
                </xsl:otherwise>
              </xsl:choose>
            </TD>
            <TD>&#160;</TD>
          </TR>
          <TR>
            <TD ALIGN='CENTER'>
              <xsl:choose>
                <xsl:when test='$prev'>
                  <A HREF='{$links/prefix}{$prev/@outfile}'><IMG src='{$links/common}back.png' border="0"/></A>
                </xsl:when>
                <xsl:otherwise>
                  &#160;
                </xsl:otherwise>
              </xsl:choose>
            </TD>
            <TD ALIGN='CENTER'>
              <A HREF='{$links/index}'>TOC</A>
            </TD>
            <TD ALIGN='CENTER'>
              <xsl:choose>
                <xsl:when test='$next'>
                  <A HREF='{$links/prefix}{$next/@outfile}'><IMG src='{$links/common}forward.png' border="0"/></A>
                </xsl:when>
                <xsl:otherwise>
                  &#160;
                </xsl:otherwise>
              </xsl:choose>
            </TD>
          </TR>
        </TABLE>
      </xsl:if>
    </BODY>
    </HTML>

  </xsl:template>

  <xsl:template match="html:*">
    <xsl:element name="{local-name()}">
      <xsl:for-each select="@*">
        <xsl:copy/>
      </xsl:for-each>
      <xsl:apply-templates/>
    </xsl:element>
  </xsl:template>

  <xsl:template match='pres:slide' mode='speaker-notes'>
    <h2><xsl:value-of select='pres:title'/></h2>
    <b>Slide Number: <xsl:value-of select='count(preceding::pres:slide)'/></b>
    <o1>
      <xsl:for-each select='pres:note'>
        <li><xsl:value-of select='.'/></li>
      </xsl:for-each>
    </o1>
    <hr/>
    <!-- do any nested notes -->
    <xsl:apply-templates select='pres:slide'/>
  </xsl:template>

  <xsl:template match='pres:note'/>


</xsl:stylesheet>
