<?xml version="1.0"?>
<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:tech="http://Fourthought.com/namespaces/Technical"
  xmlns:doc="http://docbook.org/docbook/xml/4.0/namespace"
  version="1.0"
>

  <xsl:include href='docbook_html1.xslt'/>
  <xsl:include href='phrases.xslt'/>

  <xsl:output method="html"/>

  <xsl:template match="/">
    <HTML>
    <HEAD>
      <TITLE>Pseudocode: <xsl:value-of select='/*/@name'/></TITLE>
    </HEAD>
    <BODY>
      <BR/>
      <xsl:apply-templates/>
    </BODY>
    </HTML>
  </xsl:template>

  <xsl:template match="tech:Module">
    <H1>Pseudocode for module <xsl:value-of select='@name'/></H1>
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="tech:Role">
    <H1>Pseudocode for class role <xsl:value-of select='@name'/></H1>
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="tech:Message">
    <H4>Message: <xsl:value-of select='@name'/></H4>
    <UL><xsl:apply-templates/></UL>
    <HR/>
  </xsl:template>

  <xsl:template match="tech:Step">
    <LI><xsl:apply-templates/></LI>
  </xsl:template>

  <xsl:template match="tech:Loop">
    <LI>
    <I>Loop: <xsl:value-of select='@description'/></I>
    <!-- <TABLE cellspacing='0' border='1' bgcolor='#FFFFCC' cellpadding='6'> -->
    <TABLE cellspacing='0' border='1' cellpadding='6'>
      <TR><TD>
        <xsl:apply-templates/>
      </TD></TR>
    </TABLE>
    </LI>
  </xsl:template>

  <xsl:template match="tech:Condition">
    <LI>
    <I>Condition: <xsl:value-of select='@description'/></I>
    <!-- <TABLE cellspacing='0' border='1' bgcolor='#FFFFCC' cellpadding='6'> -->
    <TABLE cellspacing='0' border='1' cellpadding='6'>
      <TR><TD>
        <xsl:apply-templates/>
      </TD></TR>
    </TABLE>
    </LI>
  </xsl:template>

</xsl:stylesheet>
