<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xmlns:rfp="http://FourThought.com/namespaces/RequestForProposal">

  <xsl:template match="/">
    <HTML>
    <HEAD><TITLE>Request for Proposal</TITLE>
    </HEAD>
    <BODY>
    <xsl:apply-templates/>

<!-- link to Contract here? -->
    </BODY>
    </HTML>
  </xsl:template>

  <xsl:template match="rfp:RFP">
	<H1><DIV ALIGN="CENTER">Request for Proposal</DIV></H1>
	<OL type="I">
	<H2><LI>General Information</LI></H2>
	<OL type="A">
	<xsl:apply-templates select="rfp:executiveSummary|rfp:scope|rfp:scheduleOfEvents"/>
	</OL>
	<H2><LI>Proposal Specifications</LI></H2>
	<OL type="A">
	<xsl:apply-templates select="rfp:introduction|rfp:letterOfTransmittal|rfp:content"/>
	</OL>
	<H2><LI>Technical Requirements</LI></H2>
	<OL type="A">
	<xsl:apply-templates select="rfp:generalConsiderations|rfp:equipmentConsiderations|rfp:softwareSpecifications|rfp:installationAndPM|rfp:configMgmt|rfp:perfMgmt|rfp:faultMgmt|rfp:securityMgmt|rfp:assetMgmt"/>
	</OL>
	</OL>  
  </xsl:template>

  <xsl:template match="rfp:executiveSummary">
	<H3><LI>Executive Summary</LI></H3>
	<xsl:apply-templates select="Para"/>
  </xsl:template>

  <xsl:template match="rfp:scope">
	<H3><LI>Scope</LI></H3>
	<xsl:apply-templates select="Para"/>
  </xsl:template>

  <xsl:template match="rfp:scheduleOfEvents">
	<H3><LI>Schedule of Events</LI></H3>
	<xsl:apply-templates select="Para"/>
  </xsl:template>

  <xsl:template match="rfp:introduction">
	<H3><LI>Introduction</LI></H3>
	<xsl:apply-templates select="Para"/>
  </xsl:template>

  <xsl:template match="rfp:letterOfTransmittal">
	<H3><LI>Letter of Transmittal</LI></H3>
	<xsl:apply-templates select="Para"/>
  </xsl:template>

  <xsl:template match="rfp:content">
	<H3><LI>Content</LI></H3>
	<xsl:apply-templates select="Para"/>
  </xsl:template>

  <xsl:template match="rfp:generalConsiderations">
	<H3><LI>General Considerations</LI></H3>
	<xsl:apply-templates select="Para"/>
  </xsl:template>

  <xsl:template match="rfp:equipmentConsiderations">
	<H3><LI>Equipment Considerations</LI></H3>
	<xsl:apply-templates select="Para"/>
  </xsl:template>

  <xsl:template match="rfp:softwareSpecifications">
	<H3><LI>Software Specifications</LI></H3>
	<xsl:apply-templates select="ItemizedList|ListItem"/>
  </xsl:template>

  <xsl:template match="rfp:installationAndPM">
	<H3><LI>Installation and Project Management</LI></H3>
	<xsl:apply-templates select="Para"/>
  </xsl:template>

  <xsl:template match="rfp:configMgmt">
	<H3><LI>Configuration Management</LI></H3>
	<xsl:apply-templates select="Para"/>
  </xsl:template>

  <xsl:template match="rfp:perfMgmt">
	<H3><LI>Performance Management</LI></H3>
	<xsl:apply-templates select="Para"/>
  </xsl:template>

  <xsl:template match="rfp:faultMgmt">
	<H3><LI>Fault Management</LI></H3>
	<xsl:apply-templates select="Para"/>
  </xsl:template>

  <xsl:template match="rfp:securityMgmt">
	<H3><LI>Security Management</LI></H3>
	<xsl:apply-templates select="Para"/>
  </xsl:template>

  <xsl:template match="rfp:assetMgmt">
	<H3><LI>Asset Management</LI></H3>
	<xsl:apply-templates select="Para"/>
  </xsl:template>

  <xsl:template match="rfp:helpDesk">
	<H3><LI>Help Desk</LI></H3>
	<xsl:apply-templates select="Para"/>
  </xsl:template>

  <xsl:template match="rfp:maintenance">
	<H3><LI>Maintenance</LI></H3>
	<xsl:apply-templates select="Para"/>
  </xsl:template>

  <xsl:template match="ItemizedList">
    	<OL start="1" type="1"><xsl:apply-templates/></OL>
  </xsl:template>

  <xsl:template match="ListItem">
    	<LI><xsl:apply-templates/></LI>
  </xsl:template>

  <xsl:template match="Para">
    	<P><xsl:apply-templates/></P>
  </xsl:template>

</xsl:stylesheet>