<?xml version="1.0"?>
<!DOCTYPE xsl:stylesheet [
  <!ENTITY nbsp "&#160;">
  <!ENTITY rdf "http://www.w3.org/1999/02/22-rdf-syntax-ns#">
  <!ENTITY rdfs "http://www.w3.org/2000/01/rdf-schema#">
  <!ENTITY f "http://xmlns.4suite.org/ext">
  <!ENTITY fres "http://xmlns.4suite.org/reserved">
  <!ENTITY dc "http://purl.org/dc/elements/1.1/">
  <!ENTITY it "http://rdfinference.org/schemata/issue-tracker/">
]>

<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:fcore="http://xmlns.4suite.org/4ss/score"
                xmlns:frdf="http://xmlns.4suite.org/4ss/rdf" 
                xmlns:fhttp="http://xmlns.4suite.org/4ss/http" 
                xmlns:exslt="http://exslt.org/common" 
                xmlns:exslt-set="http://exslt.org/sets" 
                xmlns:exslt-math="http://exslt.org/math" 
                xmlns:exslt-functions="http://exslt.org/functions" 
                xmlns:exslt-date-time="http://exslt.org/dates-and-times" 
                xmlns:rdf="&rdf;" 
                xmlns:rdfs="&rdfs;"
                xmlns:f="&f;" 
                xmlns:fres="&fres;"
                xmlns:dc="&dc;"
                xmlns:it="&it;"
                extension-element-prefixes="f frdf fhttp fcore exslt exslt-set exslt-math exslt-functions exslt-date-time">
  <!--
File:  common.xslt

Description:

   This file contains the common templates of the issue tracker app.


WWW: http://4suite.org        e-mail: support@4suite.org

Copyright 2001 Fourthought Inc, USA
See  http://4suite.org/COPYRIGHT  for license and copyright information

  -->
  <xsl:variable name="doc-root" select="'/issue-tracker'"/>
  <xsl:variable name="today" select="exslt-date-time:date(exslt-date-time:date-time())"/>
  
  <xsl:template match="/">
    <html>
      <head>
        <xsl:call-template name="head"/>
      </head>
      <body class="normal" leftmargin="0" topmargin="0" width="700">
          <xsl:call-template name="body"/>
      </body>
    </html>
  </xsl:template>
  
  <xsl:template name="head">
    <title>
      <xsl:value-of select="$title"/>
    </title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>
    <meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
    <xsl:call-template name="css-link">
      <xsl:with-param name="stylesheet-basename" select="'genitive'"/>
    </xsl:call-template>
  </xsl:template>
  
  <xsl:template name="css-link">
    <!-- top nav -->
    <xsl:param name="stylesheet-basename"/>
    <xsl:if test="stylesheet-basename">
      <xsl:message terminate="yes">
        No stylesheet base parameter specified
      </xsl:message>
    </xsl:if>
    <link rel="STYLESHEET" type="text/css" href="{$fres:uri-path}{$stylesheet-basename}-netscape.css"/>
    <script language="JavaScript1.2" type="text/javascript">
      <xsl:comment>
        if (document.all) document.createStyleSheet("<xsl:value-of select="$fres:uri-path"/>
        <xsl:value-of select="$stylesheet-basename"/>-ie.css");
      </xsl:comment>
    </script>
    <!--f:dump-vars/-->
  </xsl:template>
    
</xsl:stylesheet>
