__revision__ = '$Id: __init__.py,v 1.7 2003/01/19 04:53:59 jkloth Exp $'

from Ft.Lib.TestSuite import TestMode

def PreprocessFiles(dirs, files):
    """
    PreprocessFiles(dirs, files) -> (dirs, files)
    
    This function is responsible for sorting and trimming the
    file and directory lists as needed for proper testing.
    """
    from Ft.Lib.TestSuite import RemoveTests, SortTests

    ignored_files = ['test_harness']
    RemoveTests(files, ignored_files)

    ordered_files = []
    SortTests(files, ordered_files)

    ignored_dirs = []
    RemoveTests(dirs, ignored_dirs)

    ordered_dirs = ['Core', 'Borrowed']
    SortTests(dirs, ordered_dirs)

    return (dirs, files)

# -- run modes -------------------------------------------------------

class XsltMode(TestMode.TestMode):
    def __init__(self):
        TestMode.TestMode.__init__(self, self.source, self.default)

    def _init(self, tester):
        return 1

    def _pre(self, tester):
        tester.test_data['source'] = self.source

class _cDomletteMode(XsltMode):
    source = 'cDomlette'
    default = 1

class _minidomMode(XsltMode):
    source = 'minidom'
    default = 0

##class _4DomMode(XsltMode):
##    source = '4DOM'
##    default = 0

##    def _init(self, tester):
##        try:
##            from xml.dom.ext import reader
##            return 1
##        except ImportError:
##            tester.warning("Unable to use '4DOM' mode.")
##            return 0
    
MODES = [_cDomletteMode(), _minidomMode()]
