########################################################################
#
# File Name:   MathFunctions.py
#
"""
4XPath-specific math extension functions
WWW: http://4suite.org        e-mail: support@4suite.org

Copyright 2000-2002 Fourthought Inc, USA.
See  http://4suite.org/COPYRIGHT  for license and copyright information
"""

import math, types
import whrandom
from xml.dom import Node
from Ft.Lib import boolean
from Ft.Lib import Uri
from Ft.Xml.XPath import Conversions, FT_EXT_NAMESPACE


def Sin(context, x):
    "math.sin"
    return math.sin(Conversions.NumberValue(x))

def Cos(context, x):
    "math.cos"
    return math.cos(Conversions.NumberValue(x))

def DegreesToRads(context, x):
    "Convert degrees to radians"
    return Conversions.NumberValue(x)/180*math.pi

def Fact(context, x):
    "Factorial"
    x = Conversions.NumberValue(x)
    if x > 1:
        return reduce(lambda x,y:x*y,range(1,x+1),1)
    return 1


ExtNamespaces = {
    FT_EXT_NAMESPACE : 'f',
    }

ExtFunctions = {
    (FT_EXT_NAMESPACE, 'cos'): Cos,
    (FT_EXT_NAMESPACE, 'sin'): Sin,
    (FT_EXT_NAMESPACE, 'degrees-to-rads'): DegreesToRads,
    (FT_EXT_NAMESPACE, 'fact'): Fact,
    }

